karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alexey Markevich (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (KARAF-4568) [equinox] Unable to install feature with fragment
Date Thu, 09 Jun 2016 12:36:21 GMT

     [ https://issues.apache.org/jira/browse/KARAF-4568?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Alexey Markevich updated KARAF-4568:
------------------------------------
    Affects Version/s: 4.0.5

> [equinox] Unable to install feature with fragment 
> --------------------------------------------------
>
>                 Key: KARAF-4568
>                 URL: https://issues.apache.org/jira/browse/KARAF-4568
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-feature
>    Affects Versions: 4.0.4, 4.0.5
>            Reporter: Alexey Markevich
>         Attachments: quartz-fragment.kar
>
>
> - update custom.properties
> karaf.framework=equinox
> - copy attached kar to deploy folder: [1]
> Same time each bundle deployed separately via deploy folder works fine
> 1.Unable to install Kar feature quartz-fragment/1.0.0
> org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve
resource org.quartz-scheduler.quartz [org.quartz-scheduler.quartz/2.2.3] because it exports
package 'org.quartz.ee.jta' and is also exposed to it from resource org.quartz-scheduler.quartz
[org.quartz-scheduler.quartz/2.2.3] via the following dependency chain:
>   org.quartz-scheduler.quartz [org.quartz-scheduler.quartz/2.2.3]
>     import: (osgi.wiring.package=org.quartz.core)
>      |
>     export: osgi.wiring.package=org.quartz.core; uses:=org.quartz
>   org.quartz-scheduler.quartz [org.quartz-scheduler.quartz/2.2.3]
>     import: (osgi.wiring.package=org.quartz)
>      |
>     export: osgi.wiring.package: org.quartz; uses:=org.quartz.ee.jta
>     export: osgi.wiring.package=org.quartz.ee.jta
>   org.quartz-scheduler.quartz [org.quartz-scheduler.quartz/2.2.3]
> 	at org.apache.felix.resolver.ResolverImpl.checkDynamicPackageSpaceConsistency(ResolverImpl.java:1225)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
> 	at org.apache.felix.resolver.ResolverImpl.checkPackageSpaceConsistency(ResolverImpl.java:1121)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
> 	at org.apache.felix.resolver.ResolverImpl.checkDynamicPackageSpaceConsistency(ResolverImpl.java:1449)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
> 	at org.apache.felix.resolver.ResolverImpl.checkPackageSpaceConsistency(ResolverImpl.java:1121)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
> 	at org.apache.felix.resolver.ResolverImpl.checkDynamicPackageSpaceConsistency(ResolverImpl.java:1449)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
> 	at org.apache.felix.resolver.ResolverImpl.checkPackageSpaceConsistency(ResolverImpl.java:1121)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
> 	at org.apache.felix.resolver.ResolverImpl.checkDynamicPackageSpaceConsistency(ResolverImpl.java:1449)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
> 	at org.apache.felix.resolver.ResolverImpl.checkPackageSpaceConsistency(ResolverImpl.java:1121)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
> 	at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:260)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
> 	at org.apache.karaf.features.internal.region.SubsystemResolver.resolve(SubsystemResolver.java:216)[9:org.apache.karaf.features.core:4.0.4]
> 	at org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:263)[9:org.apache.karaf.features.core:4.0.4]
> 	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvision(FeaturesServiceImpl.java:1089)[9:org.apache.karaf.features.core:4.0.4]
> 	at org.apache.karaf.features.internal.service.FeaturesServiceImpl$1.call(FeaturesServiceImpl.java:985)[9:org.apache.karaf.features.core:4.0.4]
> 	at java.util.concurrent.FutureTask.run(FutureTask.java:266)[:1.8.0_92]
> 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)[:1.8.0_92]
> 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)[:1.8.0_92]
> 	at java.lang.Thread.run(Thread.java:745)[:1.8.0_92]



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message